Managed Databases - List By Instance
Gets a list of managed databases.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases?api-version=2021-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
managed
|
path | True |
string |
The name of the managed instance. |
|
resource
|
path | True |
string |
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
subscription
|
path | True |
string |
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
string |
The API version to use for the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the list of databases. |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
List databases by managed instances
Sample request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Test1/providers/Microsoft.Sql/managedInstances/managedInstance/databases?api-version=2021-11-01
Sample response
{
"value": [
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testcl/databases/testdb1",
"location": "southeastasia",
"name": "testdb1",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-08-04T15:00:17.73Z",
"defaultSecondaryLocation": "North Europe",
"status": "Online"
},
"type": "Microsoft.Sql/managedInstances/databases"
},
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Sql/managedInstances/testcl/databases/testdb2",
"location": "southeastasia",
"name": "testdb2",
"properties": {
"collation": "SQL_Latin1_General_CP1_CI_AS",
"creationDate": "2017-08-04T15:00:17.73Z",
"defaultSecondaryLocation": "North Europe",
"status": "Online"
},
"type": "Microsoft.Sql/managedInstances/databases"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Catalog |
Collation of the metadata catalog. |
|
Managed |
A managed database resource. |
|
Managed |
Managed database create mode. PointInTimeRestore: Create a database by restoring a point in time backup of an existing database. SourceDatabaseName, SourceManagedInstanceName and PointInTime must be specified. RestoreExternalBackup: Create a database by restoring from external backup files. Collation, StorageContainerUri and StorageContainerSasToken must be specified. Recovery: Creates a database by restoring a geo-replicated backup. RecoverableDatabaseId must be specified as the recoverable database resource ID to restore. RestoreLongTermRetentionBackup: Create a database by restoring from a long term retention backup (longTermRetentionBackupResourceId required). |
|
Managed |
A list of managed databases. |
|
Managed |
Status of the database. |
CatalogCollationType
Collation of the metadata catalog.
| Value | Description |
|---|---|
| DATABASE_DEFAULT | |
| SQL_Latin1_General_CP1_CI_AS |
ManagedDatabase
A managed database resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource ID. |
| location |
string |
Resource location. |
| name |
string |
Resource name. |
| properties.autoCompleteRestore |
boolean |
Whether to auto complete restore of this managed database. |
| properties.catalogCollation |
Collation of the metadata catalog. |
|
| properties.collation |
string |
Collation of the managed database. |
| properties.createMode |
Managed database create mode. PointInTimeRestore: Create a database by restoring a point in time backup of an existing database. SourceDatabaseName, SourceManagedInstanceName and PointInTime must be specified. RestoreExternalBackup: Create a database by restoring from external backup files. Collation, StorageContainerUri and StorageContainerSasToken must be specified. Recovery: Creates a database by restoring a geo-replicated backup. RecoverableDatabaseId must be specified as the recoverable database resource ID to restore. RestoreLongTermRetentionBackup: Create a database by restoring from a long term retention backup (longTermRetentionBackupResourceId required). |
|
| properties.creationDate |
string (date-time) |
Creation date of the database. |
| properties.defaultSecondaryLocation |
string |
Geo paired region. |
| properties.earliestRestorePoint |
string (date-time) |
Earliest restore point in time for point in time restore. |
| properties.failoverGroupId |
string |
Instance Failover Group resource identifier that this managed database belongs to. |
| properties.lastBackupName |
string |
Last backup file name for restore of this managed database. |
| properties.longTermRetentionBackupResourceId |
string (arm-id) |
The name of the Long Term Retention backup to be used for restore of this managed database. |
| properties.recoverableDatabaseId |
string (arm-id) |
The resource identifier of the recoverable database associated with create operation of this database. |
| properties.restorableDroppedDatabaseId |
string (arm-id) |
The restorable dropped database resource id to restore when creating this database. |
| properties.restorePointInTime |
string (date-time) |
Conditional. If createMode is PointInTimeRestore, this value is required. Specifies the point in time (ISO8601 format) of the source database that will be restored to create the new database. |
| properties.sourceDatabaseId |
string (arm-id) |
The resource identifier of the source database associated with create operation of this database. |
| properties.status |
Status of the database. |
|
| properties.storageContainerSasToken |
string |
Conditional. If createMode is RestoreExternalBackup, this value is required. Specifies the storage container sas token. |
| properties.storageContainerUri |
string |
Conditional. If createMode is RestoreExternalBackup, this value is required. Specifies the uri of the storage container where backups for this restore are stored. |
| tags |
object |
Resource tags. |
| type |
string |
Resource type. |
ManagedDatabaseCreateMode
Managed database create mode. PointInTimeRestore: Create a database by restoring a point in time backup of an existing database. SourceDatabaseName, SourceManagedInstanceName and PointInTime must be specified. RestoreExternalBackup: Create a database by restoring from external backup files. Collation, StorageContainerUri and StorageContainerSasToken must be specified. Recovery: Creates a database by restoring a geo-replicated backup. RecoverableDatabaseId must be specified as the recoverable database resource ID to restore. RestoreLongTermRetentionBackup: Create a database by restoring from a long term retention backup (longTermRetentionBackupResourceId required).
| Value | Description |
|---|---|
| Default | |
| RestoreExternalBackup | |
| PointInTimeRestore | |
| Recovery | |
| RestoreLongTermRetentionBackup |
ManagedDatabaseListResult
A list of managed databases.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
Link to retrieve next page of results. |
| value |
Array of results. |
ManagedDatabaseStatus
Status of the database.
| Value | Description |
|---|---|
| Online | |
| Offline | |
| Shutdown | |
| Creating | |
| Inaccessible | |
| Restoring | |
| Updating |